RpcChannel.RpcCollector (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.group.RpcChannel.RpcCollector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group
Class RpcChannel.RpcCollector

    java.lang.Object
      org.apache.catalina.tribes.group.RpcChannel.RpcCollector

Enclosing class:
  RpcChannel

    public static class RpcChannel.RpcCollector

extends java.lang.Object

Class that holds all response.

Version:
  1.0
Author:
  not attributable

Field Summary
`int` | `destcnt`
`RpcChannel.RpcCollectorKey` | `key`
`int` | `options`
`java.util.ArrayList` | `responses`
`long` | `timeout`

Constructor Summary
`RpcChannel.RpcCollector(RpcChannel.RpcCollectorKey key, int options, int destcnt, long timeout)`

Method Summary
`void` | `addResponse(java.io.Serializable message, Member sender)`
`boolean` | `equals(java.lang.Object o)`
`Response[]` | `getResponses()`
`int` | `hashCode()`
`boolean` | `isComplete()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### responses

    public java.util.ArrayList responses

### key

    public RpcChannel.RpcCollectorKey key

### options

    public int options

### destcnt

    public int destcnt

### timeout

    public long timeout

Constructor Detail

### RpcChannel.RpcCollector

    public RpcChannel.RpcCollector(RpcChannel.RpcCollectorKey key,
                                   int options,
                                   int destcnt,
                                   long timeout)

Method Detail

### addResponse

    public void addResponse(java.io.Serializable message,
                            Member sender)

### isComplete

    public boolean isComplete()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getResponses

    public Response[] getResponses()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.